Bug 1432599 - zombie child "single" from parent "tracker-extract" upon startup
Summary: zombie child "single" from parent "tracker-extract" upon startup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 25
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-15 18:19 UTC by Gerald Cox
Modified: 2017-12-12 10:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:00 UTC
Type: Bug


Attachments (Terms of Use)
backtrace (15.40 KB, text/plain)
2017-03-15 18:19 UTC, Gerald Cox
no flags Details

Description Gerald Cox 2017-03-15 18:19:13 UTC
Created attachment 1263420 [details]
backtrace

Description of problem:
Upon startup, I'm getting zombies from tracker... 

ps axo stat,ppid,pid,comm | grep -w defunct
ZN    2397  2787 single <defunct>

ps -e | grep 2397
 2397 ?        00:00:00 tracker-extract


Version-Release number of selected component (if applicable):
tracker-1.10.5-1.fc25.x86_64

How reproducible:
Upon system startup

Actual results:
Left with zombie processes

Expected results:
No zombies

Additional info:
backtrace attached

Comment 1 Fedora End Of Life 2017-11-16 19:54:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:45:00 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.